> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects

> List all projects from a workspace by ID. Important: The workspace needs to have their portal/roadmap published, or the request will fail with the error 'Workspace not found'. No authorization is required.



## OpenAPI

````yaml get /projects/{workspaceId}
openapi: 3.0.3
info:
  title: Productlane API
  version: 1.0.0
servers:
  - url: https://productlane.com/api/v1
security: []
paths:
  /projects/{workspaceId}:
    get:
      tags:
        - portal
      summary: List projects
      description: >-
        List all projects from a workspace by ID. Important: The workspace needs
        to have their portal/roadmap published, or the request will fail with
        the error 'Workspace not found'. No authorization is required.
      operationId: portal-listProjects
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: language
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    description:
                      type: string
                      nullable: true
                    color:
                      type: string
                      nullable: true
                    createdAt:
                      type: string
                      format: date-time
                    icon:
                      type: string
                      nullable: true
                    linearProjectId:
                      type: string
                      nullable: true
                    linearTeamIds:
                      type: array
                      items:
                        type: string
                    progress:
                      type: number
                      nullable: true
                    sortOrder:
                      type: number
                    state:
                      type: string
                      nullable: true
                    upvotes:
                      type: number
                    importanceScore:
                      type: number
                  required:
                    - id
                    - name
                    - description
                    - color
                    - createdAt
                    - icon
                    - linearProjectId
                    - linearTeamIds
                    - progress
                    - sortOrder
                    - state
                    - upvotes
                    - importanceScore
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````